## Class Rechteck

    java.lang.Object
      Figur
          Rechteck

    public class Rechteck

extends Figur

Ein Rechteck wird durch zwei gegenüberliegende Eckpunkte festgelegt

Version:
  1.0 (22. März 2004)
Author:
  Anne Weißleder

Field Summary
`(package private) boolean` | `gefuellt`

Constructor Summary
`Rechteck(double x1_koord, double y1_koord, double x2_koord, double y2_koord)` Konstruktur : Erzeugt ein Rechteck mit den in der Parameterliste angegebenen Eckpunkten.

Method Summary
`void` | `loesche()`
`void` | `setzeFuellFarbe(java.awt.Color c)`
`void` | `setzeLinienBreite(int lb)`
`void` | `setzeLinienFarbe(java.awt.Color c)` Setzen die Linienfarbe des Rechtecks auf die angegebene Farbe
`void` | `setzePosition(double neux1, double neuy1, double neux2, double neuy2)`
`void` | `strecke(double a)`
`void` | `verschiebe(double ix, double iy)`
`void` | `zeige()` Zeigt das Rechteck mit den aktuellen Eckpunkten.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gefuellt

    boolean gefuellt

Constructor Detail

### Rechteck

    public Rechteck(double x1_koord,
                    double y1_koord,
                    double x2_koord,
                    double y2_koord)

  Konstruktur : Erzeugt ein Rechteck mit den in der Parameterliste angegebenen Eckpunkten. Das Rechteck wird von einem Stift verwaltet.

Method Detail

### loesche

    public void loesche()

### setzeFuellFarbe

    public void setzeFuellFarbe(java.awt.Color c)

### setzeLinienBreite

    public void setzeLinienBreite(int lb)

### setzeLinienFarbe

    public void setzeLinienFarbe(java.awt.Color c)

  Setzen die Linienfarbe des Rechtecks auf die angegebene Farbe

### setzePosition

    public void setzePosition(double neux1,
                              double neuy1,
                              double neux2,
                              double neuy2)

### strecke

    public void strecke(double a)

### verschiebe

    public void verschiebe(double ix,
                           double iy)

### zeige

    public void zeige()

  Zeigt das Rechteck mit den aktuellen Eckpunkten. Falls der Modus gefuellt angegeben ist, wird das Rechteck mit der aktuellen Fuellfarbe ausgemalt